<?php

// Version: 1.1 RC3; BoardIndex



function template_main()

{

	global $context, $settings, $options, $txt, $scripturl, $boarddir, $modSettings;



        // Show the linktree

	echo theme_linktree();



	// The last entires made by the blogger

	echo '

			<div id="contentleft">

				', blog_entries(), '

			</div>

			<h2>', $txt['forsakenlad_othercontent'], '</h2>

                        <div id="contentright">

                        	<div id="cats">

                                <h3 class="hide">', $txt['bloggy_categories'], '</h3>';



	/* Each category in categories is made up of:

	id, href, link, name, is_collapsed (is it collapsed?), can_collapse (is it okay if it is?),

	new (is it new?), collapse_href (href to collapse/expand), collapse_image (up/down iamge),

	and boards. (see below.) */

	foreach ($context['categories'] as $category)

	{

		echo '

					<h4>', $category['name'], '</h4>

					<ul class="boards">';



		/* Each board in each category's boards has:

		new (is it new?), id, name, description, moderators (see below), link_moderators (just a list.),

		children (see below.), link_children (easier to use.), children_new (are they new?),

		topics (# of), posts (# of), link, href, and last_post. (see below.) */

		foreach ($category['boards'] as $board)

		{

			echo '

						<li>&raquo; <a href="', $board['href'], '" name="b', $board['id'], '" title="', $board['description'], '">', $board['name'], '</a> <span>(', $board['topics'],')</span></li>';



				// Show the "Child Boards: ". (there's a link_children but we're going to bold the new ones...)

				if (!empty($board['children']))

				{

					echo '

						<li class="chboard">

                                                	<ul class="chboards">';



					// Sort the links into an array with new boards bold so it can be imploded.

					$children = array();



					/* Each child in each board's children has:

					id, name, description, new (is it new?), topics (#), posts (#), href, link, and last_post. */

					foreach ($board['children'] as $child)

					{

							$child['icon'] = $settings['images_url'] . '/' . ($child['new'] ? 'on_child.gif' : 'off_child.gif');

							$child['link'] = '

								<li>&raquo; <a href="' . $child['href'] . '" title="' . $child['description'] . '">' . $child['name'] . '</a> <span>(' . $child['topics'] . ')</span></li>';

							$children[] = $child['link'];

					}



					echo implode($children), '

							</ul>

                                                </li>';

				}

		}

		

		echo '

					</ul>';

	}

	echo '

				</div>

				<div>

					<h3>', $txt['smf_stats_2'], '</h3>

					<p>', $context['common_stats']['total_posts'], ' ', $txt[95], ' ', $txt['smf88'], ' ', $context['common_stats']['total_topics'], ' ', $txt[64], ' ', $txt[525], ' ', $context['common_stats']['total_members'], ' ', $txt[19], '</p>

                                        <p>', $txt[656], ': <strong>', $context['common_stats']['latest_member']['link'], '</strong></p>

                                        <p>', $txt[659], ': <strong>&quot;' . $context['latest_post']['link'] . '&quot;</strong></p>

                                        <p><a href="' . $scripturl . '?action=stats">' . $txt['smf223'] . '</a></p>

				</div>';



        // The default value for the description text

	if (!empty($settings['blog_extra']))

		echo '

				<div>

					', $settings['blog_extrahtml'], '

				</div>';



	echo '

				<div>

					<h3>', $txt['bloggy_subscribe'], '</h3>

					<p>', $txt['xml_rss_desc'], ':</p>

					<ul id="feeds">

					    <li class="rss"><a href="' . $scripturl . '?action=.xml;type=rss;sa=news;board=', $settings['blog_boardid'], ';limit=5">RSS 0.91</a></li>

					    <li class="rss"><a href="' . $scripturl . '?action=.xml;type=rss2;sa=news;board=', $settings['blog_boardid'], ';limit=5">RSS 2</a></li>

					    <li class="atom"><a href="' . $scripturl . '?action=.xml;type=atom;sa=news;board=', $settings['blog_boardid'], ';limit=5">ATOM</a></li>

					</ul>

				</div>

			</div>';

}



function blog_entries()

{

	global $settings, $txt, $scripturl, $boarddir;



	require ("$boarddir/SSI.php");

        

	if (empty($settings['blog_boardid']))

	{

		$settings['blog_boardid'] = '1';

	}

	

	if (empty($settings['blog_text']))

	{

		$settings['blog_text'] = '520';

	}



	$array = ssi_boardNews($settings['blog_boardid'], null, null, $settings['blog_text'], 'array');



	foreach ($array as $news)

	{

		echo '<h3><a href="', $news['href'], '">', $news['subject'], '</a></h3>

				<p>', $news['body'], '</p>

				<p class="info"><span class="comments"><a href="' , $news['href'], '#quickreply">' . $txt['smf_news_3'] . '</a> / <a href="' , $news['href'], '#commentsheading">' , $news['replies'], ' ' . $txt['smf_news_2'] . '</a></span>', $news['time'], ' ', $txt[525], ' ', $news['poster']['link'], '</p>

				';

		if (!$news['is_last'])

			echo '';

	}

}



?>