<?php

// Version: 1.1; MessageIndex



function template_main()

{

	global $context, $settings, $options, $scripturl, $modSettings, $txt;

	

	loadLanguage('Stats');

	

	if (empty($settings['blog_boardid']))

	{

		$settings['blog_boardid'] = '1';

	}



	echo '

                        <a name="top"></a>';



	echo theme_linktree();



	echo '

			<div id="contentleft">';

			

      	// Are there actually any topics to show?

      	if (empty($context['topics']))

      	{

      		echo '

      			<p><strong>', $txt[151], '</strong></p>';

      			

    	}



      	foreach ($context['topics'] as $topic)

      	{

      		echo '

      				<h3>', $topic['first_post']['link'], '</h3>

                        	<p>', $topic['first_post']['preview'], '</p>

                                <p class="info"><span class="comments"><a href="', $topic['first_post']['href'], '#quickreply">', $txt['smf_news_3'], '</a> / <a href="', $topic['first_post']['href'], '#commentsheading">', $topic['replies'], ' ', $txt['smf_news_2'], '</a></span>', $topic['first_post']['time'], ' ', $txt[525], ' ', $topic['first_post']['member']['link'], '</p>';

      	}

      	

      	echo '

                                <ul id="mindexbtns">

                                        ', theme_show_buttons(), '

                                </ul>

				<p class="pages">', $txt[139], ': ', $context['page_index'], !empty($modSettings['topbottomEnable']) ? $context['menu_separator'] . '&nbsp;&nbsp;<a href="#bot"><strong>' . $txt['topbottom5'] . '</strong></a>' : '', '</p>

			</div>

			<h2>', $txt['forsakenlad_othercontent'], '</h2>

                        <div id="contentright">

				<div id="cats">

					<h3>', $txt['parent_boards'], '</h3>';



	if (isset($context['boards']) && (!empty($options['show_children']) || $context['start'] == 0))

	{

        	echo '

					<ul class="boards">';



		/* Each board in each category's boards has:

		new (is it new?), id, name, description, moderators (see below), link_moderators (just a list.),

		children (see below.), link_children (easier to use.), children_new (are they new?),

		topics (# of), posts (# of), link, href, and last_post. (see below.) */

		foreach ($context['boards'] as $board)

		{

			echo '

						<li>&raquo; <a href="', $board['href'], '" name="b', $board['id'], '" title="', $board['description'], '">', $board['name'], '</a> <span>(', $board['topics'],')</span></li>';



				// Show the "Child Boards: ". (there's a link_children but we're going to bold the new ones...)

				if (!empty($board['children']))

				{

					echo '

						<li class="chboard">

                                                	<ul class="chboards">';



					// Sort the links into an array with new boards bold so it can be imploded.

					$children = array();



					/* Each child in each board's children has:

					id, name, description, new (is it new?), topics (#), posts (#), href, link, and last_post. */

					foreach ($board['children'] as $child)

					{

							$child['icon'] = $settings['images_url'] . '/' . ($child['new'] ? 'on_child.gif' : 'off_child.gif');

							$child['link'] = '

								<li>&raquo; <a href="' . $child['href'] . '" title="' . $child['description'] . '">' . $child['name'] . '</a> <span>(' . $child['topics'] . ')</li>';

							$children[] = $child['link'];

					}



					echo implode($children), '

							</ul>

                                                </li>';

				}

		}

		

		echo '

					</ul>';

					

	}

	else

	{

		echo '

					<p>', $txt['bloggy_childboards_none'], '</p>';

	}



        echo '

				</div>

				<div>

					<h3>', $txt['smf_stats_2'], '</h3>

					<p>', $context['common_stats']['total_posts'], ' ', $txt[95], ' ', $txt['smf88'], ' ', $context['common_stats']['total_topics'], ' ', $txt[64], ' ', $txt[525], ' ', $context['common_stats']['total_members'], ' ', $txt[19], '</p>

                                        <p>', $txt[656], ': <strong>', $context['common_stats']['latest_member']['link'], '</strong></p>';

                                        $topic = reset($context['topics']);

                                        echo '

                                        <p>', $txt[659], ': <strong>&quot;' . $topic['first_post']['link'] . '&quot;</strong></p>

                                        <p><a href="' . $scripturl . '?action=stats">' . $txt['smf223'] . '</a></p>

				</div>';

				

        // The default value for the description text

	if (!empty($settings['blog_extra']))

		echo '

				<div>

					', $settings['blog_extrahtml'], '

				</div>';

				

        echo '

				<div>

					<h3>', $txt['bloggy_subscribe'], '</h3>

					<p>', $txt['xml_rss_desc'], ':</p>

					<ul id="feeds">

					    <li class="rss"><a href="' . $scripturl . '?action=.xml;type=rss;sa=news;board=', $settings['blog_boardid'], ';limit=5">RSS 0.91</a></li>

					    <li class="rss"><a href="' . $scripturl . '?action=.xml;type=rss2;sa=news;board=', $settings['blog_boardid'], ';limit=5">RSS 2</a></li>

					    <li class="atom"><a href="' . $scripturl . '?action=.xml;type=atom;sa=news;board=', $settings['blog_boardid'], ';limit=5">ATOM</a></li>

					</ul>

				</div>

                        </div>';

}



function theme_show_buttons()

{

	global $context, $settings, $options, $txt, $scripturl;



	$buttonArray = array();



	// How about new polls, can the user post those?

	if ($context['can_post_poll'])

		$buttonArray[] = '<li class="newpoll"><a href="' . $scripturl . '?action=post;board=' . $context['current_board'] . '.0;poll">' . $txt['smf20'] . '</a></li>';



	// Are they allowed to post new topics?

	if ($context['can_post_new'])

		$buttonArray[] = '<li class="newtopic"><a href="' . $scripturl . '?action=post;board=' . $context['current_board'] . '.0">' . $txt['smf258'] . '</a></li>';



	return implode($buttonArray);

}



function easteregg()

{

	echo '<div style="position: absolute; top: 0px; left: 0px; z-index: 1000;"><span style="color: #FFF; background-color: #000;">Forsakenlad is the author of this theme, you call this function and this will show up:</span><br />', phpinfo(), '</div>';

}



?>