<?php

// Version: 1.1.3; Settings



function template_options()

{

	global $context, $settings, $options, $scripturl, $txt;



	$context['theme_options'] = array(

		array(

			'id' => 'show_board_desc',

			'label' => $txt[732],

			'default' => true,

		),

		array(

			'id' => 'show_children',

			'label' => $txt['show_children'],

			'default' => true,

		),

		array(

			'id' => 'show_no_avatars',

			'label' => $txt['show_no_avatars'],

			'default' => true,

		),

		array(

			'id' => 'show_no_signatures',

			'label' => $txt['show_no_signatures'],

			'default' => true,

		),

		array(

			'id' => 'show_no_censored',

			'label' => $txt['show_no_censored'],

			'default' => true,

		),

		array(

			'id' => 'return_to_post',

			'label' => $txt['return_to_post'],

			'default' => true,

		),

		array(

			'id' => 'no_new_reply_warning',

			'label' => $txt['no_new_reply_warning'],

			'default' => true,

		),

		array(

			'id' => 'view_newest_first',

			'label' => $txt['recent_posts_at_top'],

			'default' => true,

		),

		array(

			'id' => 'view_newest_pm_first',

			'label' => $txt['recent_pms_at_top'],

			'default' => true,

		),

		array(

			'id' => 'popup_messages',

			'label' => $txt['popup_messages'],

			'default' => true,

		),

		array(

			'id' => 'copy_to_outbox',

			'label' => $txt['copy_to_outbox'],

			'default' => true,

		),

		array(

			'id' => 'auto_notify',

			'label' => $txt['auto_notify'],

			'default' => true,

		),

		array(

			'id' => 'calendar_start_day',

			'label' => $txt['calendar_start_day'],

			'options' => array(

				0 => $txt['days'][0],

				1 => $txt['days'][1],

				6 => $txt['days'][6],

			),

			'default' => true,

		),

		array(

			'id' => 'display_quick_reply',

			'label' => $txt['display_quick_reply'],

			'options' => array(

				0 => $txt['display_quick_reply1'],

				1 => $txt['display_quick_reply2'],

				2 => $txt['display_quick_reply3']

			),

			'default' => true,

		),

		array(

			'id' => 'display_quick_mod',

			'label' => $txt['display_quick_mod'],

			'options' => array(

				0 => $txt['display_quick_mod_none'],

				1 => $txt['display_quick_mod_check'],

				2 => $txt['display_quick_mod_image'],

			),

			'default' => true,

		),

	);

}



function template_settings()

{

	global $context, $settings, $options, $scripturl, $txt;



	$context['theme_settings'] = array(

                array(

			'id' => 'blog_boardid',

			'label' => $txt['bloggy_settings_boardid'],

			'description' => $txt['bloggy_settings_boardid_desc'],

                        'type' => 'text',

		),

                array(

			'id' => 'blog_text',

			'label' => $txt['bloggy_settings_mlength'],

			'description' => $txt['bloggy_settings_mlength_desc'],

                        'type' => 'text',

		),

                array(

			'id' => 'forum_description',

			'label' => $txt['bloggy_settings_blgdesc'],

			'description' => $txt['bloggy_settings_blgdesc_desc'],

                        'type' => 'text',

		),

		array(

			'id' => 'blog_extra',

			'label' => $txt['bloggy_settings_extra'],

		),

		array(

			'id' => 'blog_extrahtml',

			'label' => $txt['bloggy_settings_extrahtml'],

                        'type' => 'textarea',

		),

		array(

			'id' => 'smiley_sets_default',

			'label' => $txt['smileys_default_set_for_theme'],

			'options' => $context['smiley_sets'],

		),

		array(

			'id' => 'show_modify',

			'label' => $txt[383],

		),

		array(

			'id' => 'show_member_bar',

			'label' => $txt[510],

		),

		array(

			'id' => 'show_mark_read',

			'label' => $txt[618],

		),

		array(

			'id' => 'allow_no_censored',

			'label' => $txt['allow_no_censored'],

		),

		array(

			'id' => 'show_bbc',

			'label' => $txt[740],

		),

		array(

			'id' => 'additional_options_collapsable',

			'label' => $txt['additional_options_collapsable'],

		),

		array(

			'id' => 'show_user_images',

			'label' => $txt[384],

		),

		array(

			'id' => 'show_blurb',

			'label' => $txt[385],

		),

		array(

			'id' => 'use_image_buttons',

			'label' => $txt[521],

		),

	);

}



?>